using FastColoredTextBoxNS;
using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MenuGenerator
{
    class StylesL
    {
        public static string lang = "CSharp (custom highlighter)";

        //styles
        public static TextStyle BlueStyle = new TextStyle(Brushes.Blue, null, FontStyle.Regular);
        public static TextStyle BoldStyle = new TextStyle(null, null, FontStyle.Bold | FontStyle.Underline);
        public static TextStyle GrayStyle = new TextStyle(Brushes.Gray, null, FontStyle.Regular);
        public static TextStyle MagentaStyle = new TextStyle(Brushes.DarkRed, null, FontStyle.Regular);
        public static TextStyle GreenStyle = new TextStyle(Brushes.Green, null, FontStyle.Italic);
        public static TextStyle BrownStyle = new TextStyle(Brushes.Brown, null, FontStyle.Italic);
        public static TextStyle MaroonStyle = new TextStyle(Brushes.Maroon, null, FontStyle.Regular);
        public static MarkerStyle SameWordsStyle = new MarkerStyle(new SolidBrush(Color.FromArgb(40, Color.Gray)));

        public static TextStyle DefStyle = new TextStyle(Brushes.Olive, null, FontStyle.Regular);
        //
        public static TextStyle MC_Style = new TextStyle(Brushes.DarkBlue, null, FontStyle.Regular);
    }
}
